Loading...
Searching...
No Matches
FIBlackoilModel.hpp File Reference
`#include <opm/models/blackoil/blackoilmodel.hh>`
`#include <opm/models/utils/propertysystem.hh>`
`#include <opm/common/ErrorMacros.hpp>`
`#include <opm/grid/CpGrid.hpp>`
`#include <opm/grid/utility/ElementChunks.hpp>`
`#include <opm/models/parallel/threadmanager.hpp>`
`#include <opm/simulators/utils/DeferredLoggingErrorHelpers.hpp>`
`#include <opm/material/fluidmatrixinteractions/EclMultiplexerMaterialParams.hpp>`
`#include <cstddef>`
`#include <stdexcept>`
`#include <type_traits>`

Go to the source code of this file.

## Classes

class | Opm::FIBlackOilModel< TypeTag >

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Detailed Description